files = ['/Users/mawiesma/my_idl/syntool/XML_bart_121025/OBS/OBS-T-00901_Q.xml', $
  '/Users/mawiesma/my_idl/syntool/XML_bart_121025/OBS/OBS-T-00902_Q.xml', $
  '/Users/mawiesma/my_idl/syntool/XML_bart_121025/OBS/OBS-T-00903_Q.xml', $
  '/Users/mawiesma/my_idl/syntool/XML_bart_121025/OBS/OBS-T-00904_Q.xml', $
  '/Users/mawiesma/my_idl/syntool/XML_bart_121025/OBS/OBS-T-00905_Q.xml']
  
;output folder destination
outputfolder='/Users/mawiesma/my_idl/syntool/' ;directory in which the results should be saved, a subfolder with date and time will be created there

; log file
logonly=1        ;set to 1 if you only want the logfiles, without all the other output (savelogcsv/txt still have to be 1)
savelogcsv=1     ;set to 1 if you want to save a logfile in csv-format (excel-readable)
savelogtxt=1     ;set to 1 if you want to save a logfile in txt-format (human-readable)
copyxml=1        ;set to 1 if you want to copy the xml-files to the destination folder

;output
savefitsfiles=1  ;set to 1 if you want to save the fits files
saveplot=1       ;set to 1 if you want to save the images, otherwise they will be plotted on screen
makemovie=1      ;set to 1 if you want to create the movie out of the pictures (saveplot should be 1), qt-tools required (http://omino.com/sw/qt_tools/), MAC only
playmovie=1      ;set to 1 if you want to play the movie immediately after creating, MAC only
quicktimeloc='/Applications/QuickTime\ Player.app/Contents/MacOS/QuickTime\ Player' ;location of your quicktime application, required for playmovie, MAC only

;graphics parameters
rasterSJI='fu1'  ;('fu1', 'fu2', 'nu1', 'nu2') choose what SJI data is shown in the overview SJI graph (which will be updated on every step), NUV2 not available yet
SJIframe=2d      ;visible data around overview SJI (in arcsec), 'Frame'
maxWINsize=[1400, 1000]       ;max size of plot window [x, y]
threshold_Overview_SJI=0.0002 ;threshold for display used in histo_opt for overview SJI
threshold_SJI=0.002           ;threshold for display used in histo_opt for SJI(s)
threshold_Spec=0.02           ;threshold for display used in histo_opt for spectral images

;input
inputdirFUV = '/Users/mawiesma/my_idl/syntool/Data_cb24bih/' ;directory of input FUV files (e.g. 'Data_cb24bih/')
inputdirNUV = '/Users/mawiesma/my_idl/syntool/Data_cb24bih/' ;directory of input NUV files (e.g. 'Data_cb24bih/')
inputfileFUV = 'iris_synthetic_fuv_*.fits' ;format of input FUV files (as used in wildcards or strmatch, where * is placed where the file number is, e.g. 'iris_synthetic_fuv_*.fits')
inputfileNUV = 'iris_synthetic_nuv_cb24bih_*.fits' ;format of input FUV files (as used in wildcards or strmatch, where * is placed where the file number is, e.g. 'iris_synthetic_nuv_cb24bih_*.fits')
dtimeSIM = 10000L;time steps between simulation files (in ms)
dtimend = 30000L ;time step between last and first file (in case OBS is longer than the time series from the simulation)

;debugging
debug=0          ;set to positive non-zero number to control directly how many pictures will be calculated
debtime=0        ;this time will be added to the real time in the plot output, when in debug-mode (in ms)


for nfile=0,N_ELEMENTS(files)-1 do $
  IRIS_syntool, OBSfile=files[nfile], $
    rasterSJI=rasterSJI, $
    debug=debug, $
    debtime=debtime, $
    savefitsfiles=savefitsfiles, $
    saveplot=saveplot, $
    makemovie=makemovie, $
    playmovie=playmovie, $
    savelogcsv=savelogcsv, $
    savelogtxt=savelogtxt, $
    copyxml=copyxml, $
    logonly=logonly, $
    SJIframe=SJIframe, $
    maxWINsize=maxWINsize, $
    quicktimeloc=quicktimeloc, $
    threshold_Overview_SJI=threshold_Overview_SJI, $
    threshold_SJI=threshold_SJI, $
    threshold_Spec=threshold_Spec, $
    inputdirFUV = inputdirFUV, $
    inputdirNUV = inputdirNUV, $
    inputfileFUV = inputfileFUV, $
    inputfileNUV = inputfileNUV, $
    dtimeSIM = dtimeSIM, $
    dtimend = dtimend, $
    outputfolder=outputfolder
